%define        with_gcj 1
%define        javahome  %{_jvmdir}/jdk
Name:          java-flute
Version:       1.3.0
Release:       2mamba
Summary:       Java CSS parser using SAC
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.w3.org/Style/CSS/SAC/
# http://sourceforge.net/projects/jfreereport/
# cvs -d:pserver:anonymous@jfreereport.cvs.sourceforge.net:/cvsroot/jfreereport login
# cvs -z3 -d:pserver:anonymous@jfreereport.cvs.sourceforge.net:/cvsroot/jfreereport co -P flute
#Source:        flute-%{version}-src-cvs.tar.gz
Source:        http://downloads.sourceforge.net/project/jfreereport/30.%20OpenOffice%20Branches/OOo31/flute-%{version}-OOo31.zip
Source1:       java-flute-1.3-build.properties
License:       W3C, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: java-gcj-compat
BuildRequires: libgcc
BuildRequires: libgcj4-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: apache-ant
%if "%{stage1}" != "1"
BuildRequires: javacc
BuildRequires: java-sac
%endif
BuildRequires: java-junit3
BuildRequires: jpackage-utils
%if "%{stage1}" != "1"
Requires:      java-sac
%endif
Requires:      jpackage-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A Cascading Style Sheets parser using the Simple API for CSS, for Java.

%if %with_gcj
%package gcj
Group:         System/Libraries/Java
Summary:       GCJ support for %{name}
Requires:      java-gcj-compat

%description gcj
JFree Java General Serialization Framework Library.

This package contains GCJ support for %{name}.
%endif

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
A Cascading Style Sheets parser using the Simple API for CSS, for Java.

This package contains documentation for %{name}.

%prep
%setup -q -c -n flute

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for txt in ChangeLog COPYRIGHT.html README.txt; do
  %{__perl} -pi -e 's/\r$//g' $txt
done

mkdir -p lib
ln -sf $(build-classpath sac) lib/sac.jar
ln -sf $(build-classpath junit-3.8.2) lib/junit.jar
ln -sf $(build-classpath javacc) lib/javacc.jar

%build
%if "%{stage1}" != "1"
export CLASSPATH=$(build-classpath junit-3.8.2 javacc sac)
%else
export CLASSPATH=$(build-classpath junit-3.8.2)
%endif
ant jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -pm 644 build/lib/flute.jar %{buildroot}%{_javadir}/flute-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/flute
cp -pr build/api/* %{buildroot}%{_javadocdir}/flute

%if %with_gcj
%{_bindir}/aot-compile-rpm
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/flute-%{version}.jar
%{_javadir}/flute.jar
%doc ChangeLog COPYRIGHT.html README.txt

%if %with_gcj
%post gcj
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
  %{_bindir}/rebuild-gcj-db
fi

%postun gcj
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
   %{_bindir}/rebuild-gcj-db
fi

%files gcj
%defattr(-,root,root)
%{_libdir}/gcj/java-flute/flute-%{version}.jar.db
%{_libdir}/gcj/java-flute/flute-%{version}.jar.so
%endif

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/flute

%changelog
* Sat Jan 22 2011 gil <puntogil@libero.it> 1.3.0-2mamba
- rebuilt devel
- add gcj sub package
- rebuilt with java-openjdk

* Wed Dec 09 2009 gil <puntogil@libero.it> 1.3.0-1mamba
- package created by autospec
